%define debug_package %{nil}

Name:           ocaml-json-wheel
Version:        1.0.6
Release:        %mkrel 25
Summary:        OCaml library for parsing JSON
License:        BSD
Group:          Development/OCaml
URL:            http://martin.jambon.free.fr/json-wheel.html
Source0:        http://martin.jambon.free.fr/json-wheel-%{version}.tar.bz2

# Safe-string fixes for OCaml 4.06.
Patch1:         json-wheel-1.0.6-safe-string.patch

BuildRequires:  ocaml >= 3.10.0
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ocamlnet-devel
BuildRequires:  ocaml-pcre-devel
BuildRequires:  pkgconfig(libpcre)
Requires: ocaml-ocamlnet

%description
JSON library for OCaml following RFC 4627.

If you use this library, consider installing ocaml-json-static, the
syntax extension to the language which makes using JSON much easier.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-ocamlnet-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n json-wheel-%{version}
%autopatch -p1

%build
make
strip jsoncat

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
mkdir -p %{buildroot}%{_bindir}

make BINDIR=%{buildroot}%{_bindir} install

# Remove *.cmo and *.o files.  These aren't needed for
# anything because they are included in the *.cma/*.a.
rm %{buildroot}%{_libdir}/ocaml/json-wheel/*.cmo
rm %{buildroot}%{_libdir}/ocaml/json-wheel/*.o

%files
%doc LICENSE
%dir %{_libdir}/ocaml/json-wheel
%{_libdir}/ocaml/json-wheel/META
%{_libdir}/ocaml/json-wheel/*.cma
%{_libdir}/ocaml/json-wheel/*.cmi
%{_bindir}/jsoncat

%files devel
%doc LICENSE Changes README html
%{_libdir}/ocaml/json-wheel/*.a
%{_libdir}/ocaml/json-wheel/*.cmxa
%{_libdir}/ocaml/json-wheel/*.cmx
%{_libdir}/ocaml/json-wheel/*.mli
%{_libdir}/ocaml/json-wheel/*.ml


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1.0.6-25.mga8
+ Revision: 1670463
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.0.6-24.mga8
+ Revision: 1551487
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1.0.6-23.mga8
+ Revision: 1545211
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 tv <tv> 1.0.6-22.mga8
+ Revision: 1484301
- rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 1.0.6-21.mga7
+ Revision: 1324226
- rebuild with ocaml-4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 1.0.6-20.mga7
+ Revision: 1299883
- Mageia 7 Mass Rebuild

* Tue Jun 12 2018 daviddavid <daviddavid> 1.0.6-19.mga7
+ Revision: 1236509
- rebuild for new ocaml-ocamlnet 4.1.6

* Wed Dec 06 2017 tv <tv> 1.0.6-18.mga7
+ Revision: 1181476
- fix build with ocaml 4.06
- rebuild for new ocaml

* Tue Feb 16 2016 umeabot <umeabot> 1.0.6-17.mga6
+ Revision: 961804
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 1.0.6-16.mga6
+ Revision: 893236
- disable debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 1.0.6-15.mga5
+ Revision: 748708
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.6-14.mga5
+ Revision: 683052
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.6-13.mga4
+ Revision: 508462
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.6-12.mga3
+ Revision: 361415
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 1.0.6-11.mga3
+ Revision: 323954
- rebuild for new pcre

* Tue Nov 20 2012 blue_prawn <blue_prawn> 1.0.6-10.mga3
+ Revision: 319824
- Json-wheel is now deprecated. Do not use it in new projects. It has been replaced by Yojson.

* Tue Oct 02 2012 blue_prawn <blue_prawn> 1.0.6-9.mga3
+ Revision: 302191
- rebuild for new ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.0.6-8.mga3
+ Revision: 300532
- new rpm group for ocaml

* Mon Apr 09 2012 malo <malo> 1.0.6-7.mga2
+ Revision: 229856
- adding missing requires to ocaml-ocamlnet

* Sat Oct 22 2011 malo <malo> 1.0.6-6.mga2
+ Revision: 157398
- rebuild for Ocaml 3.12.1

* Sat Apr 30 2011 pterjan <pterjan> 1.0.6-5.mga1
+ Revision: 93949
- Bump release higher than Mandriva

* Fri Apr 08 2011 ennael <ennael> 1.0.6-4.mga1
+ Revision: 82387
- clean spec file
- imported package ocaml-json-wheel

